Skip to main content
PUT
Update managed account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

managed_account_token
string
required

Body

application/json

Update a Managed Account.

name
string

The name of the Managed Account.

contact_email
string

The contact email address for the Managed Account.

access_credential_tokens
string[]

Access Credential (aka Integrations) tokens to assign to the Managed Account.

billing_rule_tokens
string[]

Billing Rule tokens to assign to the Managed Account, in their desired execution order. Tokens must be ordered by execution group: AWS transforms, then COST inserts, then COST transforms, then monthly post-transform inserts. Within a group any order is accepted and persisted as-is. Submitting a list whose cross-group ordering does not match the pipeline returns a 400.

email_domain
string

Email domain to associate with this Managed Account for SSO.

msp_billing_profile_token
string

Token of the MSP billing profile to use for this managed account (MSP invoicing accounts only).

payment_terms_days
integer<int32>

Number of days until payment is due after invoice date (MSP invoicing accounts only). Defaults to 10.

include_managed_account_integrations
boolean

Whether to include managed account's own integrations in invoice cost calculations (MSP invoicing accounts only). Defaults to false.

billing_information_attributes
object

Billing address and contact information (MSP invoicing accounts only)

business_information_attributes
object

Business information and custom fields (MSP invoicing accounts only)

Response

ManagedAccount model

token
string
required
name
string
required
contact_email
string
required
parent_account_token
string
required

The token for the parent Account.

access_credential_tokens
string[]
required

The tokens for the Access Credentials assigned to the Managed Account.

billing_rule_tokens
string[]
required

The tokens for the Billing Rules assigned to the Managed Account, in the order they will execute against this account's cost data.

email_domain
string | null

Email domain associated with this Managed Account for SSO.

msp_billing_profile_token
string | null

Token of the MSP billing profile used for this managed account (MSP invoicing accounts only)

payment_terms_days
integer<int32> | null

Number of days until payment is due after invoice date (MSP invoicing accounts only)

include_managed_account_integrations
boolean | null

Whether to include managed account's own integrations in invoice cost calculations (MSP invoicing accounts only)

billing_information_attributes
object
business_information_attributes
object